# qt-android

A drone plugin for building Qt apps for Android.

# Usage

The following settings changes this plugin's behavior.

* qmake_arguments (optional) additional arguments for qmake.
* androiddeployqt_arguments (optional) additional arguments for androiddeployqt.

Below is an example `.drone.yml` that uses this plugin.

```yaml
kind: pipeline
name: default

steps:
- name: run itsblue.dev/plugins/qt-android plugin
  image: itsblue.dev/plugins/qt-android
  pull: if-not-exists
  settings:
    qmake_attributes: "CONFIG+=release"
    androiddeployqt_attributes: "--aab"
```

# Building

Build the plugin image:

```text
docker build -t itsblue.dev/plugins/qt-android -f Dockerfile .
```

# Testing

Execute the plugin from your current working directory:

```text
docker run --rm \
  -e DRONE_COMMIT_SHA=8f51ad7884c5eb69c11d260a31da7a745e6b78e2 \
  -e DRONE_COMMIT_BRANCH=master \
  -e DRONE_BUILD_NUMBER=43 \
  -e DRONE_BUILD_STATUS=success \
  -e PLUGIN_QMAKE_ARGUMENTS="CONFIG+=release"
  -e PLUGIN_ANDROIDDEPLOYQT_ARGUMENTS="--aab"
  -w /drone/src \
  -v $(pwd):/drone/src \
  itsblue.dev/plugins/qt-android
```

# Using openssl

This image includes [prebuilt openssl libraries](https://github.com/KDAB/android_openssl). You may include them in your .pro file like so:
```pro
android {
    ANDROID_HOME = $$(ANDROID_HOME)
    include($$ANDROID_HOME/android_openssl/openssl.pri)
}
```
